#
# Makefile 
#

# Executable file name

EXE_NAME = appe72.axf

# Provide all the object files included in this build
PS_LIBS      = ./sercom/dhcp.a ./sercom/http.a ./sercom/httpscr.a \
               ./sercom/kernel.a ./sercom/cmd.a ./sercom/tcpip.a \
               ./sercom/api.a ./sercom/wsps.a ./sercom/wlan.a \
               ./sercom/upg.a ./sercom/poll.a ./sercom/drv.a 
               
DRV_LIB = ./marvell/libbridge.a ./marvell/libflash.a\
          ./marvell/libdbg.a ./marvell/libutils.a \
          ./marvell/libdriver_eth.a ./marvell/libbufmgt.a \
          ./marvell/libhal_w8310.a ./marvell/libmgtsta.a \
          ./marvell/libmib.a ./marvell/libhal_w8310.a \
          ./marvell/libos_ecos.a ./marvell/librateadapt.a \
          ./marvell/libkeymgt_sta.a ./marvell/libencr.a

OBJS = main.o

# You should provide your local directry contains arm compiler

GCC_DIR = c:/cygwin/tools/H-i686-pc-cygwin/bin

#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
# Where os kernel located
PKG_INSTALL_DIR = ./ecos/wb31
#PKG_INSTALL_DIR = //c/ecos_131/ap_sd_ss_install
# Include files location
# cross-compiler w/any cpu specific options 
XCC = $(GCC_DIR)/arm-elf-gcc -mcpu=arm9tdmi

###### VARIABLES
# Any of these can be overriden on the command-line or in your environment

CFLAGS        = -O3 -fshort-enums -DAP_SW  -D__ECOS -I./inc 

EXTRACFLAGS   = -Wall -I$(PKG_INSTALL_DIR)/include  \
		-ffunction-sections  -fdata-sections

#LDFLAGS       = -nostartfiles -L$(PKG_INSTALL_DIR)/Lib  -Wl,--gc-sections -Ttest.lk
LDFLAGS       = -nostartfiles -L$(PKG_INSTALL_DIR)/Lib  -Wl,--gc-sections \
                -Xlinker -Map -Xlinker $@.map

LIBS          = -Ttarget.ld -nostdlib $(DRV_LIB)

LD            = $(XCC)
XCXX           = $(XCC)

###### RULES


all: $(EXE_NAME)

clean:
	-rm -f $(EXE_NAME).exe $(OBJS) $(EXE_NAME).map *.d rom.bin


CCCHECK:

ifeq ($(XCC),)
	@echo You must set XCC to the name of your cross-compiler
	@false
endif


aproot.o: aproot.c
	$(XCC) -c -o $*.o $(CFLAGS) $(EXTRACFLAGS) $<

main.o: main.c
	$(XCC) -c -o $*.o $(CFLAGS) $(EXTRACFLAGS) $<


$(EXE_NAME): CCCHECK $(OBJS) $(DRV_LIB) $(PS_LIBS) 
#	$(LD) $(LDFLAGS) -o $@  $(OBJS) $(DRV_LIB) $(LIBS)
	$(LD) $(LDFLAGS) -o $@  $(OBJS) $(DRV_LIB) $(PS_LIBS) $(DRV_LIB) $(PS_LIBS) $(PS_LIBS) $(LIBS)